local mouse = {}

function mouse.isHovering(x1, y1, x2, y2)
	local mouse_x, mouse_y = love.mouse.getPosition()
	
	return mouse_x >= x1 and mouse_x < x2 and mouse_y >= y1 and mouse_y < y2
end

return mouse